 /*
 * Copyright (C) 09-sept.-2003  Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 */
package jxtray.dump;


import jxtray.io.WriterContext;


public class JxtDumpContext 
{
		private JxtDumpStrategy strategy;
		
		
		public JxtDumpContext(String filename,DumperListener listener,java.sql.Connection con, String lib, String table)
		{
				setSQLDumpStrategy(filename,listener,con,lib,table,new  WriterContext(filename));
		}
		
		public void setXMLDumpStrategy(String filename,DumperListener listener,java.sql.Connection con, String lib, String table, WriterContext writer)
		{
				strategy = new JxtXMLDumpStrategy(filename,listener,con,lib,table,writer);
		}
		public void setCSVDumpStrategy(String filename,DumperListener listener,java.sql.Connection con , String lib, String table, WriterContext writer)
		{
			strategy = new JxtCSVDumpStrategy(filename,listener,con,lib,table,writer);
		}		
		public void setSQLDumpStrategy(String filename,DumperListener listener,java.sql.Connection con, String lib, String table, WriterContext writer)
		{
				strategy = new JxtSQLDumpStrategy(filename,listener,con,lib,table,writer);
		}
		
		public void setHTMLDumpStrategy(String filename,DumperListener listener,java.sql.Connection con, String lib, String table, WriterContext writer)
		{
				strategy = new JxtHTMLDumpStrategy(filename,listener,con,lib,table,writer);
		}
		
		public void dump()
		{
			strategy.dump();
		}
		
		public boolean isFinished()
		{
			return strategy.isFinished() ;
		}
			
		
}
